package com.redxun.config;


import org.springframework.boot.autoconfigure.jackson.JacksonAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.ObjectPostProcessor;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.builders.WebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
import org.springframework.security.web.access.intercept.FilterSecurityInterceptor;
import org.springframework.web.client.RestTemplate;

@Configuration
public class ClientWebsecurityConfigurer extends WebSecurityConfigurerAdapter {




    @Bean
    public RestTemplate restTemplate(){
        return new RestTemplate();
    }

     /**
     * 访问静态资源
     */
    @Override
    public void configure(WebSecurity web) {
        web.ignoring().antMatchers(
                "/css/**", "/js/**", "/favicon.ico", "/static/**", "/error", "/swagger*",
                "/swagger-resources/**", "/webjars/**", "/v2/api-docs/**", "/druid/**");
    }

    @Override
    public void configure(HttpSecurity http) throws Exception {
        JacksonAutoConfiguration autoConfiguration;
        http
                .authorizeRequests()
                .antMatchers("/", "/login", "/demo/**","/certificate/**","/api-knowledge/**",
                        "/actuator/**",
                        "/restApi/**","/global/**", "/druid/**", "/v2/api-docs/**","/swagger*").permitAll()
                .anyRequest().authenticated()
                .withObjectPostProcessor(urlObjectPostProcessor());

        // 不加会导致退出 不支持GET方式
        http.csrf().disable();
    }

    public ObjectPostProcessor urlObjectPostProcessor() {
        return new ObjectPostProcessor<FilterSecurityInterceptor>() {
            @Override
            public <O extends FilterSecurityInterceptor> O postProcess(O o) {
                return o;
            }
        };
    }
}
