package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.knowledge.entity.dao.CommonEntity;
import com.redxun.knowledge.entity.vo.PositionSequenceVo;
import com.redxun.knowledge.service.CommonServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统内容相关
 * 比如e-learning
 */

@Slf4j
@RestController
@RequestMapping("/api-knowledge/common")
@Api(tags = "业务-系统相关")
@ClassDefine(title = "业务--系统相关", alias = "CommonController", path = "/api-knowledge/common", packages = "", packageName = "子系统名称")
public class CommonController extends BaseController<CommonEntity> {

    @Resource
    CommonServiceImpl systemService;

    @Override
    public BaseService getBaseService() {
        return null;
    }

    @Override
    public String getComment() {
        return null;
    }

    @ApiOperation(value = "查询职位-职系")
    @GetMapping("/position/sequences")
    public JsonResult queryPositionSequence() {
        JsonResult jsonResult = JsonResult.getSuccessResult("查询数据成功!");
        List<PositionSequenceVo> positionSequences = systemService.queryPositionSequence();
        jsonResult.setData(positionSequences);
        return jsonResult;
    }

    @ApiOperation(value = "查询职位-职级")
    @GetMapping("/position/grades")
    public JsonResult queryPositionGrade() {
        JsonResult jsonResult = JsonResult.getSuccessResult("查询数据成功!");
        List<String> positionGrades = systemService.queryPositionGrade();
        jsonResult.setData(positionGrades);
        return jsonResult;
    }
}
