
package com.redxun.knowledge.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.redxun.common.base.entity.JsonPageResult;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.base.entity.QueryData;
import com.redxun.common.base.search.QueryFilter;
import com.redxun.common.base.search.QueryFilterBuilder;
import com.redxun.common.tool.StringUtils;
import com.redxun.common.utils.ExceptionUtil;
import com.redxun.knowledge.entity.dao.KnowledgeApprove;
import com.redxun.knowledge.service.KnowledgeApproveServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/knowledgeApprove")
@Api(tags = "业务--知识审批表")
@ClassDefine(title = "业务--知识审批表", alias = "KnowledgeApproveController", path = "/knowledge/knowledgeApprove", packages = "", packageName = "子系统名称")
public class KnowledgeApproveController extends BaseController<KnowledgeApprove> {

    @Autowired
    KnowledgeApproveServiceImpl knowledgeApproveService;


    @Override
    public BaseService getBaseService() {
        return knowledgeApproveService;
    }

    @Override
    public String getComment() {
        return "业务--知识审批表";
    }

    @ApiOperation(value = "审核管理列表列表(分页后台)")
    @ApiImplicitParam(name = "queryData", value = "查询条件")
    @PostMapping("findAllKnowledgeApprove")
    public JsonPageResult findAllKnowledgeApprove(@RequestBody QueryData queryData) {
        JsonPageResult jsonResult = JsonPageResult.getSuccess("返回数据成功!");
        try {
            QueryFilter filter = QueryFilterBuilder.createQueryFilter(queryData);
            IPage page = knowledgeApproveService.findAllKnowledgeApprove(filter);
            this.handlePage(page);
            jsonResult.setPageData(page);
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }



}

