package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.utils.ExceptionUtil;
import com.redxun.knowledge.qywexin.QYWechatConn;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/test")
@Api(tags = "业务--测试用")
@ClassDefine(title = "测试用", alias = "BannerController", path = "/api-knowledge/knowledge/test", packages = "", packageName = "子系统名称")
public class TestController extends BaseController {

    @Override
    public BaseService getBaseService() {
        return null;
    }

    @Override
    public String getComment() {
        return null;
    }

    @Resource
    private QYWechatConn qyWechatConn;

    @ApiOperation(value = "测试缓存")
    @GetMapping("testCache")
    public JsonResult testCache() {
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        try {
            jsonResult.setData(qyWechatConn.getAccessToken());
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }

    @ApiOperation(value = "测试发送消息")
    @GetMapping("testPostTextMsg")
    public JsonResult testPostTextMsg() {
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        try {
            jsonResult.setData(qyWechatConn.postTextMsg("发送测试消息", "0114868", "0114935"));
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }

    @ApiOperation(value = "测试微信转换人员")
    @GetMapping("testTransferUser")
    public JsonResult testTransferUser(@RequestParam String userId) {
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");

        try {
            jsonResult.setData(qyWechatConn.wechatUserTransfer(userId));
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }
}
