package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.entity.IUser;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.utils.ContextUtil;
import com.redxun.dto.user.OsUserDto;
import com.redxun.feign.org.UserClient;
import com.redxun.knowledge.common.UserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

/**
 * 文件名: UserController
 * 作者: Zizg
 * 时间: 2022/11/29
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/user")
@Api(tags = "业务--用户信息")
@ClassDefine(title = "业务--用户信息", alias = "UserController", path = "/api-knowledge/knowledge/user", packages = "", packageName = "子系统名称")
public class UserController {

    @Autowired
    private UserClient userClient;

    @Autowired
    private UserService userService;

    @GetMapping("findUserInfo")
    public JsonResult findUserId(){
        JsonResult jsonResult = JsonResult.getSuccessResult("获取成功");
        String userId = userService.queryLoginUser();
        String userName = userService.queryLoginUserName();
        Map<String,Object> map = new HashMap<>();
        map.put("userId",userId);
        map.put("userName",userName);
        return jsonResult;
    }
}
