
/**
 * <pre>
 *
 * 描述：业务--首页banner表实体类定义
 * 表:KM_BANNER
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:25
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_BANNER")
public class Banner  extends BaseExtEntity<java.lang.String> {

    @JsonCreator
    public Banner() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //Banner类型;1-展示 2-维基知识
    @TableField(value = "TYPE")
    private Integer type;
    //Banner名称
    @TableField(value = "NAME")
    private String name;
    //简介
    @TableField(value = "SUMMARY")
    private String summary;
    //Banner图片附件ID
    @TableField(value = "BANNER_FILE")
    private String bannerFile;
    //知识ID
    @TableField(value = "KNOWLEDGE_ID")
    private String knowledgeId;
    //排序
    @TableField(value = "SORT")
    private Integer sort;
    //是否可用;1-可用 0-不可用
    @TableField(value = "ENABLED")
    private Integer enabled;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic(value = "0", delval = "1")
    private Integer isDel;

    @TableField(exist = false)
    private Map<String,Object> params;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



