
/**
 * <pre>
 *
 * 描述：业务--知识表实体类定义
 * 表:KM_KNOWLEDGE
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:26
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE")
public class Knowledge  extends BaseExtEntity<java.lang.String> {

    @JsonCreator
    public Knowledge() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //知识分类ID;对应知识分类表ID
    @TableField(value = "CATEGORY_ID")
    private String categoryId;
    //标题
    @TableField(value = "TITLES")
    private String titles;
    //知识类型;1-文档知识 2-维基知识
    @TableField(value = "TYPE")
    private Integer type;
    //简介
    @TableField(value = "SUMMARY")
    private String summary;
    //浏览数量
    @TableField(value = "VIEWS")
    private Integer views;
    //作者;作者名称
    @TableField(value = "AUTHOR")
    private String author;
    //知识内容
    @TableField(value = "CONTENT")
    private String content;
    //附件ID
    @TableField(value = "ATTACHMENT")
    private String attachment;
    //附件名称
    @TableField(value = "ATTACHMENT_NAME")
    private String attachmentName;
    //附件类型;1-WORD(.doc、.docx) 2-PDF(.pdf) 3-PPT(.pptx) 4-EXCEL(.xls、.xlsx)
    @TableField(value = "ATTACHMENT_TYPE")
    private Integer attachmentType;
    //审批状态;1-待节点审核 2-节点驳回 3-待最终审核 4-最终驳回 5-最终通过
    @TableField(value = "APPROVAL_STATUS")
    private Integer approvalStatus;
    //审核批次;对应审批表批次，表明是最新一轮审批过程
    @TableField(value = "APPROVAL_BATCH")
    private Integer approvalBatch;
    //组织架构ID;仅选中的组织架构可见
    @TableField(value = "ORGANIZATION_ID")
    private String organizationId;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



