
/**
 * <pre>
 *
 * 描述：业务--知识审批节点表实体类定义
 * 表:KM_KNOWLEDGE_APPROVAL_NODE
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:26
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE_APPROVAL_NODE")
public class KnowledgeApprovalNode  extends BaseExtEntity<java.lang.String> {

    @JsonCreator
    public KnowledgeApprovalNode() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.ASSIGN_ID)
	private String pkId;

    //节点名称
    @TableField(value = "NAME")
    private String name;
    //审批人ID;人员或者部门ID
    @TableField(value = "APPROVER_ID")
    private String approverId;
    //审批人名称;可以是人员或者部门名称
    @TableField(value = "APPROVER_NAME")
    private String approverName;
    //是否最终审核节点;0-不是 1-是  取值1为唯一记录，不能修改
    @TableField(value = "IS_FINAL")
    private Integer isFinal;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



