
/**
 * <pre>
 *
 * 描述：业务--知识审批表实体类定义
 * 表:KM_KNOWLEDGE_APPROVE
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:26
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE_APPROVE")
public class KnowledgeApprove  extends BaseExtEntity<java.lang.String> {

    @JsonCreator
    public KnowledgeApprove() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //节点名称
    @TableField(value = "NAME")
    private String name;

    //知识ID;对应知识表主键ID
    @TableField(value = "KNOWLEDGER_ID")
    private String knowledgerId;
    //审批结论;0-不通过 1-通过
    @TableField(value = "RESULT")
    private Integer result;
    //审批人ID;节点预设人员或者部门ID
    @TableField(value = "APPROVER_ID")
    private String approverId;
    //审批人名称;可以是人员或者部门名称
    @TableField(value = "APPROVER_NAME")
    private String approverName;
    //实际审批人ID;可以是人员ID或者部门下内部人员ID
    @TableField(value = "ACTUAL_APPROVER")
    private String actualApprover;
    //实际审批人名称;可以是人员名称或者部门下内部人员名称
    @TableField(value = "ACTUAL_APPROVER_NAME")
    private String actualApproverName;
    //节点审核时间
    @TableField(value = "APPROVAL_TIME")
    private java.util.Date approvalTime;
    //审核批次;对应知识表批次，表明是最新一轮审批过程
    @TableField(value = "APPROVAL_BATCH")
    private Integer approvalBatch;
    //排序
    @TableField(value = "SORT")
    private Integer sort;
    //是否最终审核节点;0-不是 1-是
    @TableField(value = "IS_FINAL")
    private Integer isFinal;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @TableField(value = "REMARK")
    private String remark;



    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



