
/**
 * <pre>
 *
 * 描述：业务--知识分类表实体类定义
 * 表:KM_KNOWLEDGE_CATEGORY
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:26
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE_CATEGORY")
public class KnowledgeCategory  extends BaseExtEntity<java.lang.String> {

    @JsonCreator
    public KnowledgeCategory() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //上级分类
    @TableField(value = "PARENT")
    private String parent;
    //分类名称
    @TableField(value = "NAME")
    private String name;
    //排序
    @TableField(value = "SORT")
    private Integer sort;
    //是否是系统预制节点;0-不是 1-是
    @TableField(value = "IS_SYS")
    private Integer isSys;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */
    @TableField(exist = false)
    private List<KnowledgeCategory> children;

    @TableField(exist = false)
    private Boolean hasChild;

}



