
/**
 * <pre>
 *
 * 描述：业务--新闻表实体类定义
 * 表:KM_NEWS
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:26
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_NEWS")
public class News  extends BaseExtEntity<java.lang.String> {

    @JsonCreator
    public News() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //新闻标题
    @TableField(value = "TITLES")
    private String titles;
    //新闻作者ID
    @TableField(value = "AUTHOR_ID")
    private String authorId;
    //新闻作者
    @TableField(value = "AUTHOR")
    private String author;
    //新闻简介
    @TableField(value = "SUMMARY")
    private String summary;
    //缩略图附件ID
    @TableField(value = "THUMBNAIL")
    private String thumbnail;
    //新闻正文
    @TableField(value = "CONTENT")
    private String content;
    //浏览数量
    @TableField(value = "VIEWS")
    private Integer views;
    //是否可用;1-可用 0-不可用
    @TableField(value = "ENABLED")
    private Integer enabled;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;
    //排序
    @TableField(value = "SORT")
    private Integer sort;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



