
/**
 * <pre>
 *
 * 描述：业务--知识审批节点表实体类定义
 * 表:KM_KNOWLEDGE_APPROVAL_NODE
 * 作者：zhang_zhe
 * 邮箱: ray@redxun.cn
 * 日期:2022-11-23 09:47:26
 * 版权：辽宁吉亨科技
 * </pre>
 */
package com.redxun.knowledge.entity.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE_APPROVAL_NODE")
public class KnowledgeApprovalNodeDto extends BaseExtEntity<String> {

    //主键
    @TableId(value = "PK_ID",type = IdType.ASSIGN_ID)
	private String pkId;

    //节点名称
    @NotBlank(message = "节点名称不能为空")
    private String name;
    //审批人ID;人员或者部门ID
    private String approverId;
    //审批人名称;可以是人员或者部门名称
    private String approverName;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



