package com.redxun.knowledge.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 文件名: NewsAdminVo
 * 作者: Zizg
 * 时间: 2022/11/23
 * 描述: 新闻列表Vo
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class NewsAdminVo {
    //主键
    private String pkId;

    //新闻标题
    private String titles;

    //新闻作者ID
    private String authorId;

    //新闻作者
    private String author;

    //缩略图附件ID
    private String thumbnail;

    //是否可用;1-可用 0-不可用
    private Integer enabled;

    //浏览数量
    private Integer views;

    //创建时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;



}

