package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.KnowledgeCategory;
import com.redxun.knowledge.entity.vo.KnowledgeCategoryAdminVo;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* 业务--知识分类表数据库访问层
*/
@Mapper
public interface KnowledgeCategoryMapper extends BaseDao<KnowledgeCategory> {

    IPage findAllKnowledgeCategory(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    // 查询孩子节点，递归
    List<KnowledgeCategoryAdminVo> selectKnowledgeCategoryByParent(String pkId);

    KnowledgeCategoryAdminVo selectByCategoryId(String categoryId);

    /**
     * 新增/修改时变更sort
     * @param sort
     */
    void insertOrUpdateBySort(@Param("parent") String parent,@Param("sort") Integer sort);

    /**
     * 删除时变更sort
     * @param sort
     */
    void deleteBySort(@Param("parent")String parent,@Param("sort") Integer sort);

    /**
     * 删除
     * @param knowledgeCategoryId
     */
    void deleteKnowledgeCategory(String knowledgeCategoryId);

    /**
     * 上升/下降交换sort(只能同级交换)
     * @param pkId
     * @param temp
     */
    void swapSort(@Param("pkId") String pkId, @Param("temp") int temp);

    /**
     * PC端查询分类信息,无分页
     * @return
     */
    List<KnowledgeCategoryAdminVo> getAllKnowledgeCategory();
}
