package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.News;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.Map;

/**
* 业务--新闻表数据库访问层
*/
@Mapper
public interface NewsMapper extends BaseDao<News> {

    /**
     * 分页查询
     * @param page
     * @param params
     * @return
     */
    IPage findAllNews(IPage<News> page,@Param("params")Map<String, Object> params,@Param("w") Map<String, Object> order);

    IPage findAllPcNews(IPage page,@Param("params") Map<String,Object> params);

    /**
     * 新增/修改时候变更sort(后面sort依次加1)
     * @param sort
     */
    void insertOrUpdateBySort(Integer sort);

    /**
     * 删除时变更sort(后面sort依次减1)
     * @param sort
     */
    void deleteBySort(Integer sort);

    void deleteNews(Serializable id);

    void swapSort(@Param("newsId") String newsId, @Param("sort") Integer sort);
}
