
package com.redxun.knowledge.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.datasource.DataSourceContextHolder;
import com.redxun.feign.sys.SystemClient;
import com.redxun.knowledge.entity.dao.CommonEntity;
import com.redxun.knowledge.entity.vo.PositionSequenceVo;
import com.redxun.knowledge.mapper.CommonMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 业务系统相关服务类
 */
@Slf4j
@Service
public class CommonServiceImpl extends SuperServiceImpl<CommonMapper, CommonEntity> implements BaseService<CommonEntity> {

    @Resource
    private CommonMapper commonMapper;

    @Resource
    @Lazy
    SystemClient systemClient;

    @Override
    public BaseDao<CommonEntity> getRepository() {
        return commonMapper;
    }

    /**
     * 查询值级列表
     *
     * @return
     */
    public List<String> queryPositionGrade() {
        DataSourceContextHolder.setDataSource("train");
        List<String> result = commonMapper.queryPositionGrade();

        // 调用完成后清除当前数据源
        DataSourceContextHolder.clearDataSource();

        return result;
    }

    public List<PositionSequenceVo> queryPositionSequence() {
        DataSourceContextHolder.setDataSource("train");
        List<PositionSequenceVo> result = commonMapper.queryPositionSequence();
        // 调用完成后清除当前数据源
        DataSourceContextHolder.clearDataSource();
        return result;
    }
}
