
package com.redxun.knowledge;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.search.QueryFilter;
import com.redxun.common.ribbon.annotation.EnableFeignInterceptor;
import com.redxun.knowledge.entity.dao.KnowledgeLabel;
import com.redxun.knowledge.service.KnowledgeLabelServiceImpl;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

/**
 * KnowledgeLabel服务测试用例
 */
@RunWith(SpringRunner.class)
@SpringBootTest
@EnableFeignInterceptor
@EnableFeignClients
public class KnowledgeLabelServiceTest {

    @Resource
    KnowledgeLabelServiceImpl knowledgeLabelService;

    /**
     * 测试获取记录
     */
    @Test
    public void testGet(){
        String id="1001";
        KnowledgeLabel knowledgeLabel=knowledgeLabelService.get(id);
        Assert.assertNotNull(knowledgeLabel);
    }

    /**
     * 测试获取所有记录
     */
    @Test
    public void testGetAll(){
        List<KnowledgeLabel> list=knowledgeLabelService.getAll();
        Assert.assertTrue(list.size()>0);
    }

    /**
     * 测试按条件进行过滤并分页返回
     */
    @Test
    public void testQueryAll() {
        QueryFilter filter=new QueryFilter();
        filter.addQueryParam("Q_name__S_LK","表单");
        IPage<KnowledgeLabel> page=knowledgeLabelService.query(filter);
        Assert.assertTrue(page.getRecords().size()>0);
    }

    /**
     * 查询添厍
     */
    @Test
    public void testAddAndUpdate(){
    }

    /**
     * 测试删除记录
     */
    @Test
    public void testDel(){
        String id="1200733561548824578";
        knowledgeLabelService.delete(id);
    }

}
